Bug 1025181 - oo-admin-ctl-tc broken when showing status of user
oo-admin-ctl-tc broken when showing status of user
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 04:00 EDT by Ma xiaoqiang
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-10-31 04:00:57 EDT
Description of problem:
oo-admin-ctl-tc broken when showing status of user
  
Version-Release number of selected component (if applicable):
puddle:[2.0-2013-10-30.1]
rubygem-openshift-origin-node-1.16.7-1.git.44.dfaea48.el6op.noarchs

How reproducible:
always

Steps to Reproduce:
1.create a app
#rhc app create phpapp php
2.show the status of user
# oo-admin-ctl-tc status gear_uuid   

Actual results:

Output:
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.2/lib/openshift-origin-node/utils/tc.rb:202:in `statususer': undefined local variable or method `out' for #<OpenShift::Runtime::Utils::TC:0x000000020e03d8> (NameError)
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.2/lib/openshift-origin-node/utils/tc.rb:353:in `block (2 levels) in status'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.2/lib/openshift-origin-node/utils/tc.rb:115:in `parse_valid_user'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.2/lib/openshift-origin-node/utils/tc.rb:352:in `block in status'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.2/lib/openshift-origin-node/utils/tc.rb:191:in `with_tc_loaded'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.2/lib/openshift-origin-node/utils/tc.rb:350:in `status'
        from /usr/sbin/oo-admin-ctl-tc:59:in `<main>'


Expected results:
Show the status of user successfully

Additional info:
Show the status of user successfully on online env.
[root@ip-10-32-79-9 openshift]# oo-admin-ctl-tc status 5271c9e7defea74452000007
Bandwidth shaping status: 
tc is active for the user 5271c9e7defea74452000007 [OK]
Comment 3 Ma xiaoqiang 2013-11-05 23:35:28 EST
check on puddle [2.0-2013-11-05.1]
# oo-admin-ctl-tc status 5279c663ab654614b9000007
Bandwidth shaping status: 
tc is active for the user 5279c663ab654614b9000007 [OK]

Note You need to log in before you can comment on or make changes to this bug.